Andy Lester > Perl-Critic > Perl::Critic::Policy::ValuesAndExpressions::ProhibitSpecialLiteralHeredocTerminator

Download:
Perl-Critic-1.121_01.tar.gz

Dependencies

Annotate this POD

Website

View/Report Bugs
Module Version: 1.121_01   Source   Latest Release: Perl-Critic-1.123

NAME ^

Perl::Critic::Policy::ValuesAndExpressions::ProhibitSpecialLiteralHeredocTerminator - Don't write print <<'__END__' .

AFFILIATION ^

This Policy is part of the core Perl::Critic distribution.

DESCRIPTION ^

Using one of Perl's special literals as a HEREDOC terminator could be confusing to tools that try to parse perl.

    print <<'__END__';           #not ok
    Hello world
    __END__

    print <<'__END_OF_WORLD__';  #ok
    Goodbye world!
    __END_OF_WORLD__

The special literals that this policy prohibits are:

__END__
__DATA__
__PACKAGE__
__FILE__
__LINE__

CONFIGURATION ^

This Policy is not configurable except for the standard options.

SEE ALSO ^

Perl::Critic::Policy::ValuesAndExpressions::RequireUpperCaseHeredocTerminator

Perl::Critic::Policy::ValuesAndExpressions::RequireQuotedHeredocTerminator

AUTHOR ^

Kyle Hasselbacher <kyle@cpan.org>

COPYRIGHT ^

Copyright (c) 2009-2011 Kyle Hasselbacher.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.

syntax highlighting: